Edit webhook
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/webhooks/{webHookUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"hidden": true,
"id": "<string>",
"uid": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/webhooks/{webHookUid}"
payload = {
"url": "<string>",
"hidden": True,
"id": "<string>",
"uid": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', hidden: true, id: '<string>', uid: '<string>'})
};
fetch('https://cloud.memsource.com/web/api2/v1/webhooks/{webHookUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": "JOB_STATUS_CHANGED",
"url": "<string>",
"hidden": true,
"id": "<string>",
"uid": "<string>"
}Webhook
Edit webhook
deprecated
Deprecated. Use /api2/v2/webhooks instead.
PUT
/
api2
/
v1
/
webhooks
/
{webHookUid}
Edit webhook
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the webhook
Body
application/json
Webhook edit request
Event that triggers this webhook
Available options:
JOB_STATUS_CHANGED, JOB_CREATED, JOB_DELETED, JOB_UNSHARED, JOB_ASSIGNED, JOB_DUE_DATE_CHANGED, JOB_UPDATED, JOB_TARGET_UPDATED, JOB_EXPORTED, JOB_UNEXPORTED, JOB_AUTO_LQA_FINISHED, JOB_METADATA_UPDATED, JOB_CUSTOM_FIELDS_UPDATED, PROJECT_CREATED, PROJECT_DELETED, PROJECT_UNSHARED, PROJECT_STATUS_CHANGED, PROJECT_DUE_DATE_CHANGED, SHARED_PROJECT_ASSIGNED, PROJECT_METADATA_UPDATED, PRE_TRANSLATION_FINISHED, ANALYSIS_CREATED, CONTINUOUS_JOB_UPDATED, PROJECT_TEMPLATE_CREATED, PROJECT_TEMPLATE_UPDATED, PROJECT_TEMPLATE_DELETED, RAW_MT_CONVERTER_IMPORT_FINISHED, RAW_MT_PRE_TRANSLATION_FINISHED, RAW_MT_QUALITY_ESTIMATION_FINISHED, TERM_BASE_TERM_CREATED, TERM_BASE_TERM_UPDATED, TERM_BASE_TERM_DELETED, TERM_BASE_CONCEPT_CREATED, TERM_BASE_CONCEPT_UPDATED, TERM_BASE_CONCEPT_DELETED, TERM_BASE_IMPORTED, ASYNC_REQUEST_FINISHED URL the webhook payload is sent to
When true, the webhook is hidden from UI listings
Internal numeric identifier, encoded as a string
Unique identifier used in API paths
Response
OK
Event that triggers this webhook
Available options:
JOB_STATUS_CHANGED, JOB_CREATED, JOB_DELETED, JOB_UNSHARED, JOB_ASSIGNED, JOB_DUE_DATE_CHANGED, JOB_UPDATED, JOB_TARGET_UPDATED, JOB_EXPORTED, JOB_UNEXPORTED, JOB_AUTO_LQA_FINISHED, JOB_METADATA_UPDATED, JOB_CUSTOM_FIELDS_UPDATED, PROJECT_CREATED, PROJECT_DELETED, PROJECT_UNSHARED, PROJECT_STATUS_CHANGED, PROJECT_DUE_DATE_CHANGED, SHARED_PROJECT_ASSIGNED, PROJECT_METADATA_UPDATED, PRE_TRANSLATION_FINISHED, ANALYSIS_CREATED, CONTINUOUS_JOB_UPDATED, PROJECT_TEMPLATE_CREATED, PROJECT_TEMPLATE_UPDATED, PROJECT_TEMPLATE_DELETED, RAW_MT_CONVERTER_IMPORT_FINISHED, RAW_MT_PRE_TRANSLATION_FINISHED, RAW_MT_QUALITY_ESTIMATION_FINISHED, TERM_BASE_TERM_CREATED, TERM_BASE_TERM_UPDATED, TERM_BASE_TERM_DELETED, TERM_BASE_CONCEPT_CREATED, TERM_BASE_CONCEPT_UPDATED, TERM_BASE_CONCEPT_DELETED, TERM_BASE_IMPORTED, ASYNC_REQUEST_FINISHED URL the webhook payload is sent to
When true, the webhook is hidden from UI listings
Internal numeric identifier, encoded as a string
Unique identifier used in API paths
Was this page helpful?